diff --git a/cli/src/cli-cmd-parser.c b/cli/src/cli-cmd-parser.c
index 34620b4a31b..777a05d9dd0 100644
--- a/cli/src/cli-cmd-parser.c
+++ b/cli/src/cli-cmd-parser.c
@@ -657,7 +657,8 @@ cli_cmd_volume_create_parse(struct cli_state *state, const char **words,
             if (words[index]) {
                 if (!strcmp(words[index], "arbiter")) {
                     ret = gf_string2int(words[index + 1], &arbiter_count);
-                    if ((ret == -1) || (arbiter_count != 1)) {
+                    if ((ret == -1) || (arbiter_count != 1) ||
+                        ((replica_count < 2) || (replica_count > 3))) {
                         cli_err(
                             "For arbiter "
                             "configuration, "
diff --git a/tests/basic/afr/arbiter-cli.t b/tests/basic/afr/arbiter-cli.t
index ad79de79d02..a446c0c08d7 100644
--- a/tests/basic/afr/arbiter-cli.t
+++ b/tests/basic/afr/arbiter-cli.t
@@ -18,6 +18,7 @@ TEST ! $CLI volume create $V0 arbiter 1 replica 3 $H0:$B0/${V0}{0,1,2}
 
 # Incorrect values for replica and arbiter count.
 TEST ! $CLI volume create $V0  replica 3 arbiter 2 $H0:$B0/${V0}{0,1,2}
+TEST ! $CLI volume create $V0  replica 4 arbiter 1 $H0:$B0/${V0}{0,1,2,3}
 
 # Correct setup
 # Only documented value is replica=2 and arbiter=1.
